Package dev.plex.listener.impl

# Class CommandListener

java.lang.Object
dev.plex.listener.PlexListener
dev.plex.listener.impl.CommandListener

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class CommandListener extends PlexListener

## Field Summary

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`CommandListener()`

## Method Summary

Modifier and Type
Method
Description
`private boolean`
`hasCommandSpy(PlexPlayer plexPlayer)`
`void`
`onCommandBlocking(org.bukkit.event.player.PlayerCommandPreprocessEvent event)`
`void`
`onPlayerCommandPreprocess(org.bukkit.event.player.PlayerCommandPreprocessEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandListener

public CommandListener()

## Method Details

### onPlayerCommandPreprocess

public void onPlayerCommandPreprocess(org.bukkit.event.player.PlayerCommandPreprocessEvent event)

### onCommandBlocking

public void onCommandBlocking(org.bukkit.event.player.PlayerCommandPreprocessEvent event)

### hasCommandSpy

private boolean hasCommandSpy(PlexPlayer plexPlayer)